Bug 42710 - Update not possible
Update not possible
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-05-29 10:27 EDT by Dirk Traenapp
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-31 03:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dirk Traenapp 2001-05-29 10:27:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; I; Linux 2.2.13 i586)

Description of problem:
Trying to update RH7.0 to RH7.1 doesn4t work because anaconda finds a
partition with reiserfs wich is not the root of RH7.0! This results into
anaconda using a wrong partition for the update which causes a reboot. My
root is on hdeX and anaconda tries to use sdaY. I think the partition-array
gets weird because of the found and unrecognized reiser-partion.

How reproducible:

Steps to Reproduce:
1. Update ... booom

Actual Results:  s.o.

Expected Results:  Update :-)

Additional info:
Comment 1 Brent Fox 2001-05-29 12:18:13 EDT
The installer doesn't support installing to ReiserFS partitions.  Therefore, it
doesn't support upgrading ReiserFS partitions...even if it's not the root partition.
Comment 2 Dirk Traenapp 2001-05-30 05:59:48 EDT
I was a bit disappointed and i tried further:

There is not only a problem with the reiser-partition. I added some mountpoints to /mnt like /mnt/cdwriter /mnt/dld /mnt/mandrake etc. These disks are 
mounted via fstab. Anaconda tries to mount them during the update of my root-partition (which isn't nessecary for my system neither defined in FHS) and 
fails with an error message like: Can not mount /dev/sdb5 to /mnt/cdwriter. sdb5 seems to be unformatted. REBOOT.

The mountpoint exists and the partition is ok. I solved it temporarily by shortening the /etc/fstab but it is not a real solution (btw. the reiserpartition is 
used by another LINUX and is NOT used in the RH7-fstab. So i do not understand why it is ok that RH7.1-Update must not work! To get the update 
workinng i changed the partitiontype to Netware temporaily.).
Comment 3 Dirk Traenapp 2001-05-31 03:06:37 EDT
The problem is solved! Sorry but it was my fault!

Problem history:

Because of my IDE-CDROM i used ide-scsi-emulation which causes my adaptec-drives
to /dev/sdbX. After rebooting with RH7.1-CD there is no IDE-SCSI-Emulation and
adaptec-drives are at /dev/sdaX. Now /etc/fstab and the physical drives are not

Thats it!
Comment 4 Brent Fox 2001-05-31 15:04:45 EDT
Ok.  Glad you found the source of the problem.

Note You need to log in before you can comment on or make changes to this bug.